Bug 248973 - net/kea: Update to 1.8.0
Summary: net/kea: Update to 1.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL: https://downloads.isc.org/isc/kea/1.8...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-28 17:02 UTC by Andrey Pevnev
Modified: 2020-09-19 20:55 UTC (History)
5 users (show)

See Also:
dbaio: maintainer-feedback? (apevnev)


Attachments
update to 1.8.0 (8.82 KB, patch)
2020-08-28 17:02 UTC, Andrey Pevnev
apevnev: maintainer-approval+
Details | Diff
update to 1.8.0_1 (1.68 KB, patch)
2020-09-19 18:40 UTC, Andrey Pevnev
apevnev: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Pevnev 2020-08-28 17:02:03 UTC
Created attachment 217595 [details]
update to 1.8.0

Update Kea to latest stable 1.8.0
Comment 1 Wen Heping freebsd_committer 2020-08-29 11:59:54 UTC
build failed :

...
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/code_of_conduct.md
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/platforms.rst
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1
Comment 2 Andrey Pevnev 2020-08-29 14:31:41 UTC
Wen, those files are not getting installed to the /usr/local, I'm not sure why they getting flagged?
Comment 3 Fernando Apesteguía freebsd_committer 2020-09-01 16:18:35 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 4 commit-hook freebsd_committer 2020-09-12 23:18:45 UTC
A commit references this bug:

Author: dbaio
Date: Sat Sep 12 23:18:25 UTC 2020
New revision: 548437
URL: https://svnweb.freebsd.org/changeset/ports/548437

Log:
  net/kea: Update to 1.8.0

  DISTNAME is ${PORTNAME}-${PORTVERSION} by default -- portlint

  PR:		248973
  Submitted by:	Andrey Pevnev <apevnev@me.com> (maintainer)

Changes:
  head/net/kea/Makefile
  head/net/kea/distinfo
  head/net/kea/files/patch-src_bin_keactrl_keactrl.in
  head/net/kea/pkg-plist
Comment 5 commit-hook freebsd_committer 2020-09-12 23:30:47 UTC
A commit references this bug:

Author: dbaio
Date: Sat Sep 12 23:29:57 UTC 2020
New revision: 548438
URL: https://svnweb.freebsd.org/changeset/ports/548438

Log:
  net/kea: Add back DISTNAME

  I shouldn't have removed the DISTNAME variable in ports r548437, it will be
  necessary in a future -P1 release.

  PR:		248973

Changes:
  head/net/kea/Makefile
Comment 6 Danilo G. Baio freebsd_committer 2020-09-12 23:31:22 UTC
I've fixed the plist, and the update is committed, thanks!
Comment 7 Jose Luis Duran 2020-09-19 18:04:11 UTC
The patch to support colors when issuing a `service kea status` was deleted by accident.  This completely breaks colorization once the command has been issued.

Could you please add it back?
Comment 8 Danilo G. Baio freebsd_committer 2020-09-19 18:10:09 UTC
(In reply to Jose Luis Duran from comment #7)

Hum, thanks for reporting it.
I thought that was not necessary anymore.

apevnev@me.com, is this fine for you?
Comment 9 Andrey Pevnev 2020-09-19 18:13:44 UTC
Let me take a look, I though it was not needed either as that change is now in the upstream.
Comment 10 Jose Luis Duran 2020-09-19 18:34:54 UTC
(In reply to Andrey Pevnev from comment #9)

I see. The bug is upstream.

They only changed the "opening" sequence, and forgot the "closing" one:

    active="\033[92mactive\e[0m"

It should have been:

    active="\033[92mactive\033[0m"

For both, "active" and "incative".

I am a little busy at the moment to submit a patch upstream, would you mind doing it?

Thank you!
Comment 11 Andrey Pevnev 2020-09-19 18:40:19 UTC
Created attachment 218085 [details]
update to 1.8.0_1

There is an updated patch, also removes nojail keyword to address 237909. Thanks!
Comment 12 Andrey Pevnev 2020-09-19 19:03:54 UTC
(In reply to Jose Luis Duran from comment #10)
Added a comment on the upstream PR: https://gitlab.isc.org/isc-projects/kea/-/merge_requests/757
Comment 13 commit-hook freebsd_committer 2020-09-19 20:19:43 UTC
A commit references this bug:

Author: dbaio
Date: Sat Sep 19 20:18:46 UTC 2020
New revision: 549059
URL: https://svnweb.freebsd.org/changeset/ports/549059

Log:
  net/kea: Fix colorized output for `keactl status`

  It wasn't properly fixed in the upstream.

  PR:		248973
  Submitted by:	Andrey Pevnev <apevnev@me.com> (maintainer)
  Reported by:	Jose Luis Duran <jlduran@gmail.com>
  Event:	September 2020 Bugathon

Changes:
  head/net/kea/Makefile
  head/net/kea/files/patch-src_bin_keactrl_keactrl.in
Comment 14 Danilo G. Baio freebsd_committer 2020-09-19 20:20:27 UTC
Committed.

I didn't touch the rc script, I'll ask for you to make a final patch and add to bug 237909.

Any issues, please let me know.
Comment 15 Andrey Pevnev 2020-09-19 20:55:32 UTC
Thank you sir! Added patch to that bug: https://bugs.freebsd.org/bugzilla/attachment.cgi?id=218091&action=diff